@use "sass:math";
@use "variables";

@mixin respond-to-size($size) {
  @if $size == small {
    @media only screen and (max-width: variables.$small-screen-threshold) {
      @content;
    }
  }
  @if $size == tiny {
    // 375px
    @media only screen and (max-width: 23.4375em) {
      @content;
    }
  }
}

@mixin respond-to-max-px($sizePx) {
  @media only screen and (max-width: #{(math.div($sizePx, 16))}em) {
    @content;
  }
}

@mixin respond-to-min-px($sizePx) {
  @media only screen and (min-width: #{(math.div($sizePx, 16))}em) {
    @content;
  }
}
